/**
* Eine Klasse zur Reprsentation von komplexen Zahlen.
*
* @author  Johannes Mayer
* @version 1.0, 2004-10-09
*/
public class Complex {
    /**
    * Der Realteil der komplexen Zahl.
    *
    * @see #im
    */
    private double re;
    /**
    * Der Imaginrteil der komplexen Zahl.
    *
    * @see #re
    */
    private double im;
    /**
    * Erzeugt die komplexe Zahl 0.
    */
    public Complex() {
        this(0.0, 0.0);
    }
    /**
    * Erzeugt eine komplexe Zahl mit Realteil <i>re</i>
    * und Imaginrteil 0.
    *
    * @param re	der Realteil der komplexen Zahl.
    */
    public Complex(double re) {
        this(re, 0.0);
    }
    /**
    * Erzeugt eine komplexe Zahl mit Realteil <i>re</i>
    * und Imaginrteil <i>im</i>.
    *
    * @param re	der Realteil der komplexen Zahl.
    * @param im	der Imaginrteil der komplexen Zahl.
    */
    public Complex(double re, double im) {
        this.re = re; this.im = im;
    }
    /**
    * Liefert den Realteil der komplexen Zahl.
    *
    * @return	der Realteil.
    */
    public double real() {
        return re;
    }
    // ...
}
